com.trendmicro.ds.platform.rest.object.scheduledtask

## Class UpdateSuspiciousObjectsListTaskParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.UpdateSuspiciousObjectsListTaskParameters

- All Implemented Interfaces:
    ITaskParameters

      public class UpdateSuspiciousObjectsListTaskParameters
      extends java.lang.Object
      implements ITaskParameters

  Parameters for update suspicious objects list task.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateSuspiciousObjectsListTaskParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HostFilter` | `getHostFilter()` Get the host filter.
    `void` | `setHostFilter(HostFilter hostFilter)` Set the host filter.
    `java.lang.String` | `toString()`
    `UpdateSuspiciousObjectsListTaskParameters` | `withHostFilter(HostFilter hostFilter)` Set the host filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateSuspiciousObjectsListTaskParameters

          public UpdateSuspiciousObjectsListTaskParameters()

  - ### Method Detail

    - #### getHostFilter

          public HostFilter getHostFilter()

      Get the host filter.
      Returns:
        the host filter.

    - #### setHostFilter

          public void setHostFilter(HostFilter hostFilter)

      Set the host filter.
      Parameters:
        `hostFilter` - the host filter.

    - #### withHostFilter

          public UpdateSuspiciousObjectsListTaskParameters withHostFilter(HostFilter hostFilter)

      Set the host filter.
      Parameters:
        `hostFilter` - the host filter.
      Returns:
        the updated UpdateSuspiciousObjectsListTaskParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.